# In case of update this package, update also mythes-no and hyphen-no - it's the same source

# This package is producting debug package, disable it
#define _enable_debug_packages %{nil}
#define debug_package %{nil}

# There is no no_NO language, there are two (main) variants Bokmaal and Nynorsk
# Bokmaal is much more popular than Nynorsk and therefor if there is reference
# for no_NO then it means nb_NO

%define languageenglazy Norwegian
%define languagecode    no
%define lc_ctype        no_NO

Name:           hunspell-%{languagecode}
Version:        2.2
Release:        %mkrel 3
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPL+
Group:          System/Internationalization
URL:            http://spell-norwegian.alioth.debian.org
Source0:        http://alioth.debian.org/frs/download.php/file/3764/no_NO-pack2-%{version}.zip

BuildArch:      noarch

%description
%{languageenglazy} hunspell dictionaries.

%package -n hunspell-nb
Summary:        Bokmaal hunspell dictionaries
Group:          System/Internationalization
BuildArch:      noarch

Recommends:     hunspell

Requires:       locales-no
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-nb_NO = %{version}-%{release}
Provides:       hunspell-no_NO = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-nb_NO = 2
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-nb_NO < 1.0.3
Provides:       myspell-nb_NO

AutoReqProv:    no

%description -n hunspell-nb
Bokmaal hunspell dictionaries.


%package -n hunspell-nn
Summary:        Nynorsk hunspell dictionaries
Group:          System/Internationalization
BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-no
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-nn_NO = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-nn_NO = 2

#MySpell is deprecated
Obsoletes:      myspell-nn_NO < 1.0.3
Provides:       myspell-nn_NO

AutoReqProv:    no

%description -n hunspell-nn
Bokmaal hunspell dictionaries.


%prep
%setup -q -c

%build
unzip -q nb_NO.zip
unzip -q nn_NO.zip
for i in README_nb_NO.txt README_nn_NO.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
# nb_NO
install -D -m 0644 -p nb_NO.dic %{buildroot}%{_datadir}/hunspell/nb_NO.dic
install -D -m 0644 -p nb_NO.aff %{buildroot}%{_datadir}/hunspell/nb_NO.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/nb_NO.dic nb_NO.dic
    ln -s ../hunspell/nb_NO.aff nb_NO.aff
popd #%%{buildroot}%%{_datadir}/myspell

# nn_NO
install -D -m 0644 -p nn_NO.dic %{buildroot}%{_datadir}/hunspell/nn_NO.dic
install -D -m 0644 -p nn_NO.aff %{buildroot}%{_datadir}/hunspell/nn_NO.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/nn_NO.dic nn_NO.dic
    ln -s ../hunspell/nn_NO.aff nn_NO.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files -n hunspell-nb
%doc README_nb_NO.txt
%{_datadir}/hunspell/nb*
%{_datadir}/myspell/nb*

%files -n hunspell-nn
%doc README_nn_NO.txt
%{_datadir}/hunspell/nn*
%{_datadir}/myspell/nn*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.2-3.mga8
+ Revision: 1491715
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.2-2.mga7
+ Revision: 1263662
- Mageia 7 Mass Rebuild

* Wed Jun 08 2016 solbu <solbu> 2.2-1.mga6
+ Revision: 1020844
- New version: 2.2

* Thu Feb 04 2016 umeabot <umeabot> 2.1-5.mga6
+ Revision: 934517
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1-4.mga5
+ Revision: 745136
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1-3.mga5
+ Revision: 680283
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Oct 21 2013 umeabot <umeabot> 2.1-2.mga4
+ Revision: 536950
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 2.1-1.mga4
+ Revision: 486011
- New version: 2.1

* Sat Jan 26 2013 kamil <kamil> 2.0.10-18.mga3
+ Revision: 392352
- simplify the %%files list of hunspell-nb

* Sat Jan 26 2013 kamil <kamil> 2.0.10-17.mga3
+ Revision: 392348
- stop installing no_NO as an alias of nb_NO

* Sat Jan 12 2013 umeabot <umeabot> 2.0.10-16.mga3
+ Revision: 353612
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 20 2012 kamil <kamil> 2.0.10-15.mga2
+ Revision: 224996
- add requirement on locales (mga#4632)

* Thu Feb 16 2012 kamil <kamil> 2.0.10-14.mga2
+ Revision: 209624
- fix obsoleting of myspell-nn_NO

* Wed Feb 15 2012 kamil <kamil> 2.0.10-13.mga2
+ Revision: 209028
- use better obsoleting of myspell

* Thu Feb 09 2012 kamil <kamil> 2.0.10-12.mga2
+ Revision: 206691
- adapt .spec to the current policies

* Tue Feb 07 2012 kamil <kamil> 2.0.10-11.mga2
+ Revision: 206092
- exclude from this package subpackages hyphen-no and mythes-no

* Thu Mar 24 2011 ahmad <ahmad> 2.0.10-10.mga1
+ Revision: 77011
- fix hyphen- Group

* Sat Mar 12 2011 dmorgan <dmorgan> 2.0.10-9.mga1
+ Revision: 68989
- imported package hunspell-no


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.10-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Nov 05 2010 Caolan McNamara <caolanm@redhat.com> - 2.0.10-8
- Resolves: rhbz#648740 revert this, and silence hunspell instead

* Tue Nov 02 2010 Caolan McNamara <caolanm@redhat.com> - 2.0.10-7
- Resolves: rhbz#648740 thousands of trailing empty rules spew

* Sun Apr 04 2010 Caolan McNamara <caolanm@redhat.com> - 2.0.10-6
- mythes now owns /usr/share/mythes

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 11 2009 Caolan McNamara <caolanm@redhat.com> - 2.0.10-4
- tidy spec

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Nov 27 2008 Caolan McNamara <caolanm@redhat.com> - 2.0.10-2
- silly require

* Thu Nov 20 2008 Caolan McNamara <caolanm@redhat.com> - 2.0.10-1
- initial version
